POST SMTP – The #1 WordPress SMTP Plugin with Advanced Email Logging and Delivery Failure Notifications

Information

Software Type Plugin
Software Slug post-smtp (view on wordpress.org)
Software Status Active
Software Author wpexpertsio
Software Website wordpress.org
Software Downloads 11,508,057
Software Active Installs 400,000
Software Record Last Updated March 4, 2024

13 Vulnerabilities

7.2
CVE ID Unknown
Oct 3, 2023
Researchers:
Title CVE ID CVSS Researchers Date
POST SMTP Mailer – Email log, Delivery Failure Notifications and Best Mail SMTP for WordPress <= 2.8.7 - Authorization Bypass via type connect-app API CVE-2023-6875 9.8 Ulyses Saicha January 10, 2024
POST SMTP Mailer – Email log, Delivery Failure Notifications and Best Mail SMTP for WordPress <= 2.8.7 - Unauthenticated Stored Cross-Site Scripting via device CVE-2023-7027 7.2 Sean Murphy January 2, 2024
POST SMTP Mailer – Email log, Delivery Failure Notifications and Best Mail SMTP for WordPress <= 2.8.6 - Authenticated (Administrator+) SQL Injection CVE-2023-6620 7.2 Alex Sanford December 21, 2023
POST SMTP Mailer <= 2.7.0 - Unauthenticated Stored Cross-Site Scripting CVE-2023-5958 7.2 Marcin Węgłowski November 6, 2023
Post SMTP <= 2.6.0 - Authenticated (Administrator+) SQL Injection 7.2 October 3, 2023
Post SMTP <= 2.5.7 - Unauthenticated Stored Cross-Site Scripting via Email CVE-2023-3082 7.2 Alex Thomas July 11, 2023
Post SMTP <= 2.1.6 - Authenticated (Administrator+) Blind Server-Side Request Forgery CVE-2022-2352 6.6 Raad Haddad September 5, 2022
POST SMTP Mailer <= 2.5.6 - Cross-Site Request Forgery to Account Compromise CVE-2023-3179 6.5 Erwan LR June 26, 2023
POST SMTP Mailer <= 2.8.6 - Reflected Cross-Site Scripting via msg CVE-2023-6629 6.1 Matan Berson (matanber) January 2, 2024
Freemius SDK <= 2.5.9 - Reflected Cross-Site Scripting via fs_request_get CVE-2023-33999 6.1 Rafie Muhammad July 18, 2023
Post SMTP Mailer/Email Log <= 2.1.3 - Authenticated (Admin+) Stored Cross-Site Scripting CVE-2022-2351 5.5 August 18, 2022
POST SMTP Mailer <= 2.5.6 - Cross-Site Request Forgery to Arbitrary Log Deletion CVE-2023-3178 4.3 Erwan LR June 26, 2023
POST SMTP Mailer <= 2.0.20 - Cross-Site Request Forgery Bypass CVE-2021-4422 4.3 Jerome Bruandet March 1, 2021

Did you know Wordfence Intelligence provides free personal and commercial API access to our comprehensive WordPress vulnerability database, along with a free webhook integration to stay on top of the latest vulnerabilities added and updated in the database? Get started today!

Learn more

Want to get notified of the latest vulnerabilities that may affect your WordPress site?
Install Wordfence on your site today to get notified immediately if your site is affected by a vulnerability that has been added to our database.

Get Wordfence

The Wordfence Intelligence WordPress vulnerability database is completely free to access and query via API. Please review the documentation on how to access and consume the vulnerability data via API.

Documentation